Bug 1263139 (CVE-2015-6937)

Summary: CVE-2015-6937 kernel: net: rds: NULL pointer dereference in net/rds/connection.c
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, aquini, arm-mgr, bhu, carnil, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, kstutsma, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, nmurray, pholasek, plougher, rt-maint, rvrbovsk, slong, vvs, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20150914,reported=20150914,source=oss-security,cvss2=4.9/AV:L/AC:L/Au:N/C:N/I:N/A:C,cwe=CWE-476,fedora-all/kernel=affected,rhel-5/kernel=wontfix,rhel-6/kernel=wontfix,rhel-7/kernel=notaffected,rhel-7/kernel-rt=notaffected,mrg-2/realtime-kernel=notaffected,rhelsa-7/arm-kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A NULL-pointer dereference vulnerability was discovered in the Linux kernel. The kernel's Reliable Datagram Sockets (RDS) protocol implementation did not verify that an underlying transport existed before creating a connection to a remote server. A local system user could exploit this flaw to crash the system by creating sockets at specific times to trigger a NULL pointer dereference.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-12 01:24:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1263140    
Bug Blocks: 1276439    

Description Martin Prpič 2015-09-15 08:12:46 UTC
It was found that the Linux kernel's Reliable Datagram Sockets (RDS) protocol implementation did not verify that an underlying transport exists when creating a connection to a remote server.

This could happen on sockets that were not properly bound before attempting to send a message.

A local attacker could use this flaw to crash the system by creating sockets at specific times to trigger a NULL pointer dereference on the system.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=74e98eb085889b0d2d4908f59f6e00026063014f

CVE assignment:

http://seclists.org/oss-sec/2015/q3/545

Comment 1 Martin Prpič 2015-09-15 08:14:23 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1263140]

Comment 2 Fedora Update System 2015-09-24 05:07:26 UTC
kernel-4.2.1-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-10-03 21:14:56 UTC
kernel-4.1.8-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-10-03 21:51:23 UTC
kernel-4.1.8-100.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Adam Mariš 2015-10-29 17:19:24 UTC
The patch is incomplete, complete fix can be found here:

https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2015-7990

MITRE assigned new CVE for the vulnerability that remains present after the original incomplete patch:

http://seclists.org/oss-sec/2015/q4/179

Comment 6 Wade Mealing 2016-02-01 04:17:20 UTC
Statement:

This issue did not affect kernel, kernel-rt, and realtime-kernel versions shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG as they do not include the Reliable Datagram Sockets (RDS) protocol implementation.